using System;
using System.Collections;

namespace AccountTest
{
	internal class AccountGroupComparer : IComparer
	{
		public AccountGroupComparer() {}
	
		public int Compare(object x, object y)
		{
			// Both objects passed in should be MenuItems.
			//
			string itemX = x as string;
			string itemY = y as string;
	
			// Handle all null value conditions.
			//
			if ((itemX == null) && (itemY == null)) return 0;
			if (itemX == null) return -1;
			if (itemY == null) return 1;

			if(itemX == "Error")
			{
				if(itemY != "TOTAL")
					return 1;
				else
					return -1;
			}

			if(itemY == "Error")
			{
				if(itemX != "TOTAL")
					return -1;
				else
					return 1;
			}

			return (itemX.CompareTo(itemY));
		}
	}
}
